<?php
function remove_check_and_update_init()
{
    /**
     * remove wp_version_check
     */
    remove_action( 'init', 'wp_version_check' );
    if ( wp_next_scheduled('wp_version_check') ) {
        wp_clear_scheduled_hook('wp_version_check');
    }
    /**
     * remove wp_update_plugins
     */
    remove_action( 'wp_update_plugins', 'wp_update_plugins' );
    if ( wp_next_scheduled('wp_update_plugins')) {
        wp_clear_scheduled_hook('wp_update_plugins');
    }
    /**
     * remove wp_update_themes
     */
    remove_action( 'wp_update_themes', 'wp_update_themes' );
    if ( wp_next_scheduled('wp_update_themes') ) {
        wp_clear_scheduled_hook('wp_update_themes');
    }
}
add_action('init', 'remove_check_and_update_init');
